Get Shipping Proposals
POST
https://api.cargopanel.co/v1/carriers/proposalPOST
https://sandbox-api.cargopanel.co/v1/carriers/proposalCalculate shipping rates for your parcels.
This API requires a contract. Get in touch with cargopanel Support Team.
Request Fields
originCountrystringrequiredOrigin country ISO code
destinationCountrystringrequiredDestination country ISO code
postalCodestringoptionalPostal code for remote area surcharge calculation
packages[].quantitynumberrequiredNumber of pieces in the package
packages[].weightnumberrequiredWeight of the package in kilograms
packages[].dimensions.widthnumberrequiredPackage width in centimeters
packages[].dimensions.lengthnumberrequiredPackage length in centimeters
packages[].dimensions.heightnumberrequiredPackage height in centimeters
Request Body
The request body should be a JSON object containing the following structure:
{
"packages":[
{
"quantity": <number>,
"weight": <number>,
"dimensions":{
"width": <number>,
"length": <number>,
"height": <number>
}
}
],
"originCountry": "<ISO_CODE>",
"destinationCountry": "<ISO_CODE>",
"postalCode": "<string>" // Optional for remote area surcharge
}Example Response
201
{
"proposals": [
{
"id": "WIDECT",
"name": "Widect",
"serviceType": "economy",
"isValid": true,
"deliveryTime": "3-8",
"currency": "USD",
"price": 0,
"kg": 1
},
{
"id": "FEDEX_IP",
"name": "FedEx",
"serviceType": "express",
"isValid": true,
"deliveryTime": "1-3",
"currency": "USD",
"price": 0,
"kg": 1
},
{
"id": "UPS_SAVER",
"name": "UPS",
"serviceType": "express",
"isValid": true,
"deliveryTime": "1-3",
"currency": "USD",
"price": 0,
"kg": 1
},
],
"chargeableWeight": 1
}Responses
201Shipping proposals retrieved successfully
400Invalid request (missing or incorrect parameters)
401Unauthorized (invalid or missing token)
422Validation error (submitted data is not valid)
500Internal server error